The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Apache 2.2 - How do I upgrade?

Discussion in 'EasyApache' started by sickofshit, Jun 13, 2007.

  1. sickofshit

    sickofshit Registered

    Joined:
    Jun 13, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    First off, the most annoying thing in life is a tool like WHM. It dumbs down Unix and makes it utterly impossible to really take control of the system. Instead you have to rely on the limitations of this application in order to configure your system.

    Now for my question. I deinstalled apache13. I ran a make install for apache22 on FreeBSD. I have apachectl in the init.d. In spit of all of that, WHM still says that my Apache server version is 1.3.

    What the hell is EasyApache? Did I do something wrong by trying to circumvent WHM? If so that is retarded... Oh, and please don't insta-flame war.
     
  2. rone

    rone Well-Known Member

    Joined:
    Jan 14, 2007
    Messages:
    179
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    The Netherlands
    cPanel Access Level:
    Root Administrator
    First of all, ask yourself why would you use cPanel/WHM when you are so negative about it?!
    You only can upgrade Apache to V2. if you use Easyapache (3) that only is available in the EDGE-Tree now, don't use this if your server is a production server. Other ways to upgrade your apache should end in breakdown your apache and your panel.

    Easyapache is a tool too upgrade your apache version, upgrade your php to a other version (or downgrade) and recompile.
     
    #2 rone, Jun 13, 2007
    Last edited: Jun 13, 2007
  3. sickofshit

    sickofshit Registered

    Joined:
    Jun 13, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    It's not my server or I wouldn't be using it.

    Anyway, how would I upgrade Apache with easyapache? Also, if apache 1.3 is deinstalled and apache 2.2 is installed, why is it still loading?
     
  4. rone

    rone Well-Known Member

    Joined:
    Jan 14, 2007
    Messages:
    179
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    The Netherlands
    cPanel Access Level:
    Root Administrator
    Easyapache isn't available now in all tree's exept EDGE Tree, that's because it is in test fase now. It will become available soon (maybe within weeks).

    Upgrading your apache when you using cPanel/WHM other then Easyapache is not the best way to do. Try to use the search option in this forum to look for topics about upgrading apache manual. As far as I know it is no succes.
     
Loading...

Share This Page